KDE 4.4 PyKDE API Reference

- KDE's Python API

# ServerManager Class Reference

`from PyKDE4.akonadi import *`

Inherits: QObject
Namespace: Akonadi.ServerManager

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

Provides methods to control the Akonadi server process.

Low-level control of the Akonadi server. Usually Akonadi.Control should be preferred over this.

Author:
  Volker Krause <vkrause@kde.org>

See also:
  Akonadi.Control

Since:
  4.2

## Signals
| started ()
| stopped ()
## Methods
bool | isRunning (self)
Akonadi.ServerManager | self (self)
| showSelfTestDialog (self, QWidget parent)
bool | start (self)
| started (self)
bool | stop (self)
| stopped (self)

## Method Documentation

bool isRunning | ( |  | self ) |

Checks if the server is available currently.

Akonadi.ServerManager self | ( |  | self ) |

Returns the singleton instance of this class, for connecting to its signals

showSelfTestDialog | ( | self, |
|  | QWidget | parent
| ) |  |  |

Shows the Akonadi self test dialog, which tests Akonadi for various problems and reports these to the user if.

Parameters:

  | parent | the parent widget for the dialog

bool start | ( |  | self ) |

Starts the server. This method returns imediately and does not wait until the server is actually up and running. It is not checked if the server is already running.

Returns:
  true if the start was possible (which not necessarily means the server is really running though) and false if an error occurred.

See also:
  Akonadi.Control.start()

started | ( |  | self ) |

Emitted whenever the server becomes fully operational.

Signal syntax:
  `QObject.connect(source, SIGNAL("started()"), target_slot)`

bool stop | ( |  | self ) |

Stops the server. This methods returns immediately after the shutdown command has been send and does not wait until the server is actually shut down.

Returns:
  true if the shutdown command was sent successfully, false otherwise

stopped | ( |  | self ) |

Emitted whenever the server becomes unavailable.

Signal syntax:
  `QObject.connect(source, SIGNAL("stopped()"), target_slot)`